diff -Naur gcc-3.2.2-20030218.orig/gcc/Makefile.in gcc-3.2.2-20030218/gcc/Makefile.in
--- gcc-3.2.2-20030218.orig/gcc/Makefile.in	Tue Feb 18 13:27:23 2003
+++ gcc-3.2.2-20030218/gcc/Makefile.in	Thu Jul 31 11:22:10 2003
@@ -953,7 +953,18 @@
 # Dump a specs file to make -B./ read these specs over installed ones.
 specs: xgcc$(exeext)
 	$(GCC_FOR_TARGET) -dumpspecs > tmp-specs
-	mv tmp-specs specs
+	awk -- ' \
+	BEGIN {flg = 0} \
+	/^\*multilib:/ { flg = 1; next } \
+	/^\*linker/    { flg = 0; } \
+	{ if (flg == 0) { print $0 } } \
+	END { printf "*multilib:\n. ;\n\n"; \
+	      printf "*multilib_defaults:\n\n\n"; \
+	      printf "*multilib_extra:\n\n\n"; \
+	      printf "*multilib_matches:\n\n\n"; \
+	      printf "*multilib_exclusions:\n\n\n"; \
+	      printf "*multilib_options:\n\n\n" } \
+	' tmp-specs >specs
 
 # We do want to create an executable named `xgcc', so we can use it to
 # compile libgcc2.a.
@@ -994,7 +1005,7 @@
 	LIB2_DIVMOD_FUNCS='$(LIB2_DIVMOD_FUNCS)' \
 	DPBIT='$(DPBIT)' \
 	DPBIT_FUNCS='$(DPBIT_FUNCS)' \
-	MULTILIBS=`$(GCC_FOR_TARGET) --print-multi-lib` \
+	MULTILIBS='.;' \
 	EXTRA_MULTILIB_PARTS='$(EXTRA_MULTILIB_PARTS)' \
 	SHLIB_LINK='$(SHLIB_LINK)' \
 	SHLIB_INSTALL='$(SHLIB_INSTALL)' \
@@ -2153,14 +2164,14 @@
 	$(SHELL) $${srcdir}/mkfixinc.sh $(build_canonical) $(target))
 
 # Build fixed copies of system files.
-stmp-fixinc: fixinc.sh gsyslimits.h
+stmp-fixinc: gsyslimits.h
 	rm -rf include; mkdir include
 	-chmod a+rx include
-	(TARGET_MACHINE='$(target)'; srcdir=`cd $(srcdir); pwd`; \
-	SHELL='$(SHELL)' ;\
-	export TARGET_MACHINE srcdir SHELL ; \
-	$(SHELL) ./fixinc.sh `pwd`/include $(SYSTEM_HEADER_DIR) $(OTHER_FIXINCLUDES_DIRS); \
-	rm -f include/syslimits.h; \
+#	(TARGET_MACHINE='$(target)'; srcdir=`cd $(srcdir); pwd`; \
+#	SHELL='$(SHELL)' ;\
+#	export TARGET_MACHINE srcdir SHELL ; \
+#	$(SHELL) ./fixinc.sh `pwd`/include $(SYSTEM_HEADER_DIR) $(OTHER_FIXINCLUDES_DIRS); 
+	(rm -f include/syslimits.h; \
 	if [ -f include/limits.h ]; then \
 	  mv include/limits.h include/syslimits.h; \
 	else \
diff -Naur gcc-3.2.2-20030218.orig/gcc/config/rs6000/t-ppccomm gcc-3.2.2-20030218/gcc/config/rs6000/t-ppccomm
--- gcc-3.2.2-20030218.orig/gcc/config/rs6000/t-ppccomm	Fri Feb 22 11:32:13 2002
+++ gcc-3.2.2-20030218/gcc/config/rs6000/t-ppccomm	Thu Jul 31 11:18:46 2003
@@ -35,8 +35,8 @@
 MULTILIB_MATCHES_ENDIAN	= mlittle=mlittle-endian mbig=mbig-endian
 MULTILIB_MATCHES_SYSV	= mcall-sysv=mcall-sysv-eabi mcall-sysv=mcall-sysv-noeabi mcall-sysv=mcall-linux mcall-sysv=mcall-netbsd
 
-LIBGCC = stmp-multilib
-INSTALL_LIBGCC = install-multilib
+#LIBGCC = stmp-multilib
+#INSTALL_LIBGCC = install-multilib
 EXTRA_MULTILIB_PARTS = crtbegin$(objext) crtend$(objext) \
   crtbeginS$(objext) crtendS$(objext) crtbeginT$(objext) \
   ecrti$(objext) ecrtn$(objext) \
diff -Naur gcc-3.2.2-20030218.orig/gcc/configure.in gcc-3.2.2-20030218/gcc/configure.in
--- gcc-3.2.2-20030218.orig/gcc/configure.in	Fri Feb 14 09:26:26 2003
+++ gcc-3.2.2-20030218/gcc/configure.in	Thu Jul 31 11:18:46 2003
@@ -180,6 +180,7 @@
 AC_ARG_ENABLE(multilib,
 [  --enable-multilib       enable library support for multiple ABIs],
 [], [enable_multilib=yes])
+enable_multilib=no
 AC_SUBST(enable_multilib)
 
 # Enable expensive internal checks
@@ -955,10 +956,10 @@
 # if cross compiling, disable NLS support.
 # It's not worth the trouble, at least for now.
 
-if test "${build}" != "${host}" && test "x$enable_nls" = "xyes"; then
-  AC_MSG_WARN(Disabling NLS support for canadian cross compiler.)
-  enable_nls=no
-fi
+#if test "${build}" != "${host}" && test "x$enable_nls" = "xyes"; then
+#  AC_MSG_WARN(Disabling NLS support for canadian cross compiler.)
+#  enable_nls=no
+#fi
 
 AM_GNU_GETTEXT
 
@@ -1158,7 +1159,7 @@
     HOST_CC='$(CC_FOR_BUILD)'
     HOST_CFLAGS='$(INTERNAL_CFLAGS) $(T_CFLAGS) $(CFLAGS_FOR_BUILD) $(XCFLAGS)'
 
-    STMP_FIXINC=
+    STMP_FIXINC=stmp-fixinc
     STMP_FIXPROTO=
 fi
 
diff -Naur gcc-3.2.2-20030218.orig/libiberty/configure.in gcc-3.2.2-20030218/libiberty/configure.in
--- gcc-3.2.2-20030218.orig/libiberty/configure.in	Mon Feb  3 23:58:31 2003
+++ gcc-3.2.2-20030218/libiberty/configure.in	Thu Jul 31 11:18:46 2003
@@ -386,6 +386,10 @@
   AC_CHECK_FUNCS($checkfuncs)
 fi
 
+AC_DEFINE(HAVE_SYS_ERRLIST)
+AC_DEFINE(HAVE_PSIGNAL)
+AC_DEFINE(HAVE_SBRK)
+
 libiberty_AC_FUNC_STRNCMP
 
 # Install a library built with a cross compiler in $(tooldir) rather
diff -Naur gcc-3.2.2-20030218.orig/ltcf-cxx.sh gcc-3.2.2-20030218/ltcf-cxx.sh
--- gcc-3.2.2-20030218.orig/ltcf-cxx.sh	Mon Sep  3 19:53:14 2001
+++ gcc-3.2.2-20030218/ltcf-cxx.sh	Thu Jul 31 11:18:46 2003
@@ -366,6 +366,10 @@
         # dependencies.
         output_verbose_link_cmd='templist=`$CC -shared $CFLAGS -v conftest.$objext 2>&1 | grep "ld"`; templist=`echo $templist | sed "s/\(^.*ld.*\)\( .*ld .*$\)/\1/"`; list=""; for z in $templist; do case $z in conftest.$objext) list="$list $z";; *.$objext);; *) list="$list $z";;esac; done; echo $list'
         ;;
+      *g++ | *c++)
+	output_verbose_link_cmd='$CC -shared $CFLAGS -v conftest.$objext 2>&1 | sed -e s/-lstdc++//g'
+	archive_cmds='`echo $CC -shared -nostdlib $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-soname $wl$soname -o $lib | sed -e s/-lstdc++//g`'
+	;;
     esac
     ;;
   lynxos*)
